import axios from 'axios'

export default {
    state: { },
    mutations: {
        setGraphData (state, {name, data, id}) {
            if (typeof state[id] === 'undefined') {
                state[id] = {};
            }
            state[id][name] = data
        },
        removeGraphData (state, {id}) {
            if (typeof state[id] !== 'undefined') {
                delete state[id];
            }
        }
    },
    actions: {
        async getGraphForEvaluation ({ commit }, {name, id}) {
            console.log('getting graph data');
            const req = await axios.get(`/api/evaluations/${id}/graphs/${name}`)
            console.log('got graph data', req);
            commit('setGraphData', { name, data: req.data, id })
            return req.data
        }
    }
}
