
<script type="text/javascript">
    const measuresData = {!! json_encode($measuresData) !!};
    const attackData = {!! json_encode($attackData) !!};
    const expositionData = {!! json_encode($expositionData) !!};
    const maturityData = {!! json_encode($maturityData) !!};
    const risksData = {!! json_encode($risksData) !!};
    const futureRisksData = {!! json_encode($futureRisksData) !!};

    const radarOptions = {
        animation: false,
        responsive: false,
        legend: {
            display: false,
        },
        scale: {
            angleLines: {
                lineWidth: 2,
            },
            gridLines: {
                lineWidth: 2,
            },
            pointLabels: {
                display: true,
                fontColor: 'black',
                fontSize: 25,
            },
            beginAtZero: true,
            animate: false,
            ticks: {
                color: '#000',
                backdropColor: 'rgba(255,255,255, 0.8)',
                fontSize: 25,
                z: 10,
                min:0,
                beginAtZero: true,
            },
            grid: {
                z: 9,
            }
        },
    }

    const barOptions = {
        legend: {
            display:false,
        },
        animation:false,
        responsive: false,
        scales: {
            xAxes: [{
                gridLines: {
                    lineWidth: 2,
                },
                beginAtZero: true,
                animate: false,
                ticks: {
                    color: '#000',
                    backdropColor: 'rgba(255,255,255, 0.8)',
                    fontSize: 25,
                    z: 10,
                },
                grid: {
                    z: 9,
                }
            }],
            yAxes: [{
                gridLines: {
                    lineWidth: 2,
                },
                beginAtZero: true,
                animate: false,
                ticks: {
                    min: 0,
                    color: '#000',
                    backdropColor: 'rgba(255,255,255, 0.8)',
                    fontSize: 25,
                    z: 10,
                },
                grid: {
                    z: 9,
                }
            }],
        }
    };

    window.onload=function() {
        // Chart.defaults.global.defaultFontSize = 20;
        const ctx = document.getElementById('measuresGraph').getContext('2d');
        const measuresChart = new Chart(ctx, {
            type: 'radar',
            data: {
                labels: attackData.labels,
                datasets: [{
                    label: 'Mesures',
                    data: measuresData.data,
                    backgroundColor: '#4281A4',
                    borderColor: '#4281A4',
                    pointBackgroundColor: '#4281A4',
                    pointBorderColor: '#fff',
                    pointHoverBackgroundColor: '#fff',
                    pointHoverBorderColor: '#4281A4',
                    pointRadius: 0,
                }]
            },
            options: radarOptions,
        });

        const polarOptions = radarOptions;

        polarOptions.startAngle = -125*Math.PI/180

        const attackctx = document.getElementById('attackGraph').getContext('2d');
        const attackChart = new Chart(attackctx, {
            type: 'polarArea',
            data: {
                labels: attackData.labels,
                datasets: [{
                    label: '',
                    data: attackData.data,
                    backgroundColor: [
                        'rgba(255, 99, 132, 0.5)', // rouge
                        'rgba(243, 156, 18, 0.5)', // orange
                        'rgba(75, 192, 192, 0.5)', // vert
                        'rgba(255, 221, 86, 0.5)', // jaune
                        'rgba(54, 162, 235, 0.5)', // bleu
                        'rgba(255, 99, 132, 0.5)', // rouge
                        'rgba(243, 156, 18, 0.5)', // orange
                        'rgba(75, 192, 192, 0.5)', // vert
                        'rgba(255, 221, 86, 0.5)', // jaune
                        'rgba(54, 162, 235, 0.5)', // bleu
                        'rgba(255, 99, 132, 0.5)', // rouge
                        'rgba(243, 156, 18, 0.5)', // orange
                        'rgba(75, 192, 192, 0.5)', // vert
                        'rgba(255, 221, 86, 0.5)', // jaune
                        'rgba(54, 162, 235, 0.5)', // bleu
                    ].slice(0, attackData.data.length)
                }]
            },
            options: polarOptions,
        });

        const maturityctx = document.getElementById('maturityGraph').getContext('2d');
        const maturityChart = new Chart(maturityctx, {
            type: 'radar',
            data: {
                labels: maturityData.labels,
                datasets: [{
                    label: '',
                    data: maturityData.data,
                    backgroundColor: '#4281A4',
                    borderColor: '#4281A4',
                    pointBackgroundColor: '#4281A4',
                    pointBorderColor: '#fff',
                    pointHoverBackgroundColor: '#fff',
                    pointHoverBorderColor: '#4281A4',
                    pointRadius: 0,
                }]
            },
            options: radarOptions,
        });

        const expoctx = document.getElementById('expositionGraph').getContext('2d');
        const expoChart = new Chart(expoctx, {
            type: 'bar',
            data: {
                labels: expositionData.labels,
                datasets: [{
                    label: '',
                    data: expositionData.data,
                    backgroundColor: '#4281A4',
                    borderColor: '#4281A4',
                }]
            },
            options: barOptions,
        });

        const evolctx = document.getElementById('evolutionGraph').getContext('2d');
        const evolChart = new Chart(evolctx, {
            type: 'bar',
            data: {
                labels: risksData.labels,
                datasets: [
                    {
                        label: 'Risques actuels',
                        data: risksData.data,
                        backgroundColor: 'black',
                        borderColor: 'black',
                    },
                    {
                        label: 'Risques prévus',
                        data: futureRisksData.data,
                        backgroundColor: '#4281A4',
                        borderColor: '#4281A4',
                    },
                ]
            },
            options: barOptions,
        });
    }


</script>
